// ldd.cpp
//
// Copyright (c) 2003 Symbian Ltd.  All rights reserved.
//
// A dummy kernel-side dll (could be any other kernel dll, such as a PDD or extension)

#include <k32std.h>

#include "foo.h"

// a .LDD requires that the first exported function create the device.
// our dummy returns NULL because we will never use it - this sample shows how to build
// code, and has never been executed!

EXPORT_C DLogicalDevice *CreateLogicalDevice()
	{
	TInt result = foo(20);
	
	_LIT(KOutputString, "result: %d");
	Kern::Printf(KOutputString, result);
	
	return NULL;
	}


GLDEF_C TInt E32Dll(TDllReason /*aReason*/)
//
// DLL entry point, required by all DLLs, called on thread or process attach/detach
//
	{
	return KErrNone; // do nothing, return no error
	}
